Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dataStructures
Class SparseMatrixAsExtendedArrayLinearList

    java.lang.Object
      |
      +--dataStructures.SparseMatrixAsExtendedArrayLinearList

public class SparseMatrixAsExtendedArrayLinearList
extends java.lang.Object

Constructor Summary
`SparseMatrixAsExtendedArrayLinearList(int theRows, int theColumns, int estimatedMaxSize, java.lang.Object theZero)`
`SparseMatrixAsExtendedArrayLinearList(int theRows, int theColumns, java.lang.Object theZero)` use a default estimated maximum size of 1
`SparseMatrixAsExtendedArrayLinearList(java.lang.Object theZero)` defaults are rows = cols = estimatedMaxSize = 1

Method Summary
`SparseMatrixAsExtendedArrayLinearList` | `add(SparseMatrixAsExtendedArrayLinearList m)`
`static SparseMatrixAsExtendedArrayLinearList` | `input(java.lang.Object theZero, MyInputStream stream)` input a sparse matrix into this from the given input stream
`static void` | `main(java.lang.String[] args)` test program
`java.lang.String` | `toString()` convert the matrix into a string so it can be output
`SparseMatrixAsExtendedArrayLinearList` | `transpose()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SparseMatrixAsExtendedArrayLinearList

    public SparseMatrixAsExtendedArrayLinearList(int theRows,
                                                 int theColumns,
                                                 int estimatedMaxSize,
                                                 java.lang.Object theZero)

### SparseMatrixAsExtendedArrayLinearList

    public SparseMatrixAsExtendedArrayLinearList(int theRows,
                                                 int theColumns,
                                                 java.lang.Object theZero)

  use a default estimated maximum size of 1

### SparseMatrixAsExtendedArrayLinearList

    public SparseMatrixAsExtendedArrayLinearList(java.lang.Object theZero)

  defaults are rows = cols = estimatedMaxSize = 1

Method Detail

### toString

    public java.lang.String toString()

  convert the matrix into a string so it can be output
  Overrides:
    toString in class java.lang.Object

### input

    public static SparseMatrixAsExtendedArrayLinearList input(java.lang.Object theZero,
                                                              MyInputStream stream)

  input a sparse matrix into this from the given input stream

### transpose

    public SparseMatrixAsExtendedArrayLinearList transpose()

  Returns:
    the transpose of this matrix values are not cloned

### add

    public SparseMatrixAsExtendedArrayLinearList add(SparseMatrixAsExtendedArrayLinearList m)

  Returns:
    this + m

### main

    public static void main(java.lang.String[] args)

  test program

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD